4Suite™ API Documentation

# ► Module Ft.Server.Server.Modules

Classes: CoreModule |  |  |  | Fields: FTSERVER_SERVER_NS

## Classes

class CoreModule(Ft.Server.Server.Module)

### Methods

addModule(self, parser, config, name, data, attrs)
addServerAlias(self, parser, config, name, data, attrs)
endVhost(self, parser, config, name, data, attrs)
finalizeServer(self, parser, config, name, data, attrs)
setErrorLog(self, parser, config, name, data, attrs)
setHandler(self, parser, config, name, data, attrs)
setIdent(self, parser, config, name, data, attrs)
setLogLevel(self, parser, config, name, data, attrs)
setPort(self, parser, config, name, data, attrs)
setServerAdmin(self, parser, config, name, data, attrs)
setServerName(self, parser, config, name, data, attrs)
setSessionTTL(self, parser, config, name, data, attrs)
startVhost(self, parser, config, name, attrs)

### Methods inherited from class Ft.Server.Server.Module

initialize, loadObject

### Fields

commands = {('http://xmlns.4suite.org/reserved', 'Handler'): 'setHandler', ('http://xmlns.4suite.org/reserved', 'Ident'): 'setIdent', ('http://xmlns.4suite.org/reserved', 'LogLevel'): 'setLogLevel', ('http://xmlns.4suite.org/reserved', 'Module'): 'addModule', ('http://xmlns.4suite.org/reserved', 'Port'): 'setPort', ('http://xmlns.4suite.org/reserved', 'Server'): 'finalizeServer', ('http://xmlns.4suite.org/reserved', 'ServerAdmin'): 'setServerAdmin', ('http://xmlns.4suite.org/reserved', 'ServerAlias'): 'addServerAlias', ('http://xmlns.4suite.org/reserved', 'ServerName'): 'setServerName', ('http://xmlns.4suite.org/reserved', 'SessionTTL'): 'setSessionTTL', ...}

### Fields

FTSERVER_SERVER_NS = 'http://xmlns.4suite.org/reserved'